## ros-one-cv-camera 0.6.0-2noble.20251023.0251

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cv_camera)

find_package(catkin REQUIRED COMPONENTS
  image_transport roscpp cv_bridge sensor_msgs nodelet camera_info_manager roslint)

find_package(OpenCV REQUIRED)

find_package(Boost REQUIRED COMPONENTS system thread)

roslint_cpp()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES cv_camera
  CATKIN_DEPENDS image_transport roscpp cv_bridge sensor_msgs nodelet camera_info_manager
  DEPENDS OpenCV
  )

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  )

## Declare a cpp library
add_library(cv_camera src/capture.cpp src/driver.cpp)
add_library(cv_camera_nodelet src/cv_camera_nodelet.cpp)


## Declare a cpp executable
add_executable(cv_camera_node src/cv_camera_node.cpp)
add_dependencies(cv_camera_node cv_camera)
add_dependencies(cv_camera_nodelet cv_camera)

## Specify libraries to link a library or executable target against
target_link_libraries(cv_camera
  ${catkin_LIBRARIES}
  ${OpenCV_LIBS}
  )

target_link_libraries(cv_camera_nodelet
  ${catkin_LIBRARIES}
  cv_camera
  )

target_link_libraries(cv_camera_node
  ${catkin_LIBRARIES}
  cv_camera
  )

#############
## Install ##
#############

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS cv_camera cv_camera_nodelet cv_camera_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  )

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  )

# add xml file
install(FILES cv_camera_nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  )


#############
## Testing ##
#############

roslint_cpp(
  src/capture.cpp src/cv_camera_node.cpp src/cv_camera_nodelet.cpp src/driver.cpp
  )

if (CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  add_rostest_gtest(test_cv_camera test/cv_camera.test
    test/test_cv_camera.cpp)
  target_link_libraries(test_cv_camera ${PROJECT_NAME} ${catkin_LIBRARIES})

  add_rostest_gtest(test_cv_camera_no_yaml test/no_yaml.test
    test/test_cv_camera_no_yaml.cpp)
  target_link_libraries(test_cv_camera_no_yaml ${PROJECT_NAME} ${catkin_LIBRARIES})
endif()

## ros-one-cv-camera 0.6.0-2jammy.20251023.0253

=== debian/changelog ===
ros-one-cv-camera (0.6.0-2jammy.20251023.0253) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 23 Oct 2025 02:53:53 +0000

ros-one-cv-camera (0.6.0-0jammy) jammy; urgency=high

  * Adding MONO8 format if number of channels is 1
  * Contributors: Servando

 -- Takashi Ogura <t.ogura@gmail.com>  Tue, 06 Jul 2021 00:00:00 -0000

ros-one-cv-camera (0.5.0-0jammy) jammy; urgency=high

  * Use OpenCV 3.x+ enums instead of 2.x defines (#28)
  * Allow specifying camera name for camera_info_manager (#26)
    I think this is reasonable. Thanks.
  * Contributors: Alexey Rogachevskiy

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 30 May 2020 00:00:00 -0000

ros-one-cv-camera (0.4.0-0jammy) jammy; urgency=high

  * Update for Melodic release
    Use libopencv-dev instead of opencv3
  * Add link to ROS2 fork
  * Improve README.md style
  * Add capture_delay parameter
  * Fix rescaling coefficient calculation (#15)
  * Remove mail address of contributors
  * Fix topic names
    Before this change, /image_raw, /camera_info is published.
    But that is not designed. As in README.md, it publishes
    ~image_raw, ~camera_info, that means it contains node name
    as prefix. This is broken so long time ago, (and test was
    failing.)
  * Add contributers in README
  * Format code
  * Automatic rescaling camera info with rescale_camera_info parameter (#10) (#13)
  * update to use non deprecated pluginlib macro (#9)
  * Contributors: Mikael Arguedas, Oleg Kalachev, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Wed, 08 May 2019 00:00:00 -0000

ros-one-cv-camera (0.3.0-0jammy) jammy; urgency=high

  * Update README.md
  * Add device_path support (#8 <https://github.com/OTL/cv_camera/issues/8>)
    * Add device_path support
  * Contributors: Maurice Meedendorp, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Tue, 03 Oct 2017 00:00:00 -0000

ros-one-cv-camera (0.2.1-0jammy) jammy; urgency=high

  * use OpenCV3
  * rostest is optional

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 05 May 2017 00:00:00 -0000

ros-one-cv-camera (0.1.0-0jammy) jammy; urgency=high

  * Fix opencv2 to libopencv-dev
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 17 Oct 2015 00:00:00 -0000

ros-one-cv-camera (0.0.3-0jammy) jammy; urgency=high

  * Enable any prop code
  * Fix coding style using roslint
  * Support CV_CAP_PROP_* params
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 17 Oct 2015 00:00:00 -0000

ros-one-cv-camera (0.0.2-0jammy) jammy; urgency=high

  * rostest should be build_depend (for binary package build)
    see http://docs.ros.org/api/catkin/html/howto/rostest_configuration.html
    for more information.

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 08 Nov 2013 00:00:00 -0000

ros-one-cv-camera (0.0.1-0jammy) jammy; urgency=high

  * change behavior with calibration yaml.
    overwrite image size with yaml data if yaml is specified.
    if no calib is provided, use image size.
  * add offline mode and tests
  * use camera_info_manager for CameraInfo.
  * add parameters frame_id/image_width/image_height
  * ROS Camera node by cv::VideoCapture
  * Initial commit

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 07 Nov 2013 00:00:00 -0000

=== debian/control ===
Source: ros-one-cv-camera
Section: misc
Priority: optional
Maintainer: Takashi Ogura <t.ogura@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-one-camera-info-manager, ros-one-catkin, ros-one-cv-bridge, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-roslint, ros-one-rostest, ros-one-sensor-msgs
Homepage: http://wiki.ros.org/cv_camera
Standards-Version: 3.9.2

Package: ros-one-cv-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-one-camera-info-manager, ros-one-cv-bridge, ros-one-image-transport, ros-one-nodelet, ros-one-roscpp, ros-one-sensor-msgs
Description: cv_camera uses OpenCV capture object to capture camera image.
 This supports camera_image and nodelet.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-cv-camera//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-cv-camera 0.6.0-2jammy.20260220.2336

=== debian/changelog ===
ros-one-cv-camera (0.6.0-2jammy.20260220.2336) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 20 Feb 2026 23:36:34 +0000

## ros-one-cv-camera 0.6.0-2noble.20251023.0251

=== debian/changelog ===
ros-one-cv-camera (0.6.0-2noble.20251023.0251) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 23 Oct 2025 02:51:50 +0000

ros-one-cv-camera (0.6.0-0noble) noble; urgency=high

  * Adding MONO8 format if number of channels is 1
  * Contributors: Servando

 -- Takashi Ogura <t.ogura@gmail.com>  Tue, 06 Jul 2021 00:00:00 -0000

ros-one-cv-camera (0.5.0-0noble) noble; urgency=high

  * Use OpenCV 3.x+ enums instead of 2.x defines (#28)
  * Allow specifying camera name for camera_info_manager (#26)
    I think this is reasonable. Thanks.
  * Contributors: Alexey Rogachevskiy

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 30 May 2020 00:00:00 -0000

ros-one-cv-camera (0.4.0-0noble) noble; urgency=high

  * Update for Melodic release
    Use libopencv-dev instead of opencv3
  * Add link to ROS2 fork
  * Improve README.md style
  * Add capture_delay parameter
  * Fix rescaling coefficient calculation (#15)
  * Remove mail address of contributors
  * Fix topic names
    Before this change, /image_raw, /camera_info is published.
    But that is not designed. As in README.md, it publishes
    ~image_raw, ~camera_info, that means it contains node name
    as prefix. This is broken so long time ago, (and test was
    failing.)
  * Add contributers in README
  * Format code
  * Automatic rescaling camera info with rescale_camera_info parameter (#10) (#13)
  * update to use non deprecated pluginlib macro (#9)
  * Contributors: Mikael Arguedas, Oleg Kalachev, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Wed, 08 May 2019 00:00:00 -0000

ros-one-cv-camera (0.3.0-0noble) noble; urgency=high

  * Update README.md
  * Add device_path support (#8 <https://github.com/OTL/cv_camera/issues/8>)
    * Add device_path support
  * Contributors: Maurice Meedendorp, Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Tue, 03 Oct 2017 00:00:00 -0000

ros-one-cv-camera (0.2.1-0noble) noble; urgency=high

  * use OpenCV3
  * rostest is optional

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 05 May 2017 00:00:00 -0000

ros-one-cv-camera (0.1.0-0noble) noble; urgency=high

  * Fix opencv2 to libopencv-dev
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 17 Oct 2015 00:00:00 -0000

ros-one-cv-camera (0.0.3-0noble) noble; urgency=high

  * Enable any prop code
  * Fix coding style using roslint
  * Support CV_CAP_PROP_* params
  * Contributors: Takashi Ogura

 -- Takashi Ogura <t.ogura@gmail.com>  Sat, 17 Oct 2015 00:00:00 -0000

ros-one-cv-camera (0.0.2-0noble) noble; urgency=high

  * rostest should be build_depend (for binary package build)
    see http://docs.ros.org/api/catkin/html/howto/rostest_configuration.html
    for more information.

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 08 Nov 2013 00:00:00 -0000

ros-one-cv-camera (0.0.1-0noble) noble; urgency=high

  * change behavior with calibration yaml.
    overwrite image size with yaml data if yaml is specified.
    if no calib is provided, use image size.
  * add offline mode and tests
  * use camera_info_manager for CameraInfo.
  * add parameters frame_id/image_width/image_height
  * ROS Camera node by cv::VideoCapture
  * Initial commit

 -- Takashi Ogura <t.ogura@gmail.com>  Thu, 07 Nov 2013 00:00:00 -0000

## ros-one-cv-camera 0.6.0-2noble.20260220.2357

=== debian/changelog ===
ros-one-cv-camera (0.6.0-2noble.20260220.2357) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Takashi Ogura <t.ogura@gmail.com>  Fri, 20 Feb 2026 23:57:52 +0000
